gtkmm 4.7.1

Macros
Version

Gtkmm version. More...

## Macros
#define | GTKMM_MAJOR_VERSION
| The major version number of the GTKMM library. More...
#define | GTKMM_MINOR_VERSION
| The minor version number of the GTKMM library. More...
#define | GTKMM_MICRO_VERSION
| The micro version number of the GTKMM library. More...
#define | GTKMM_CHECK_VERSION(major, minor, micro)
| Checks the version of the GTKMM header files at compile time. More...

## Detailed Description

Gtkmm version.

## Macro Definition Documentation

## ◆ GTKMM_CHECK_VERSION

#define GTKMM_CHECK_VERSION | ( |  | major,
|  |  | minor,
|  |  | micro
| ) |  |

Checks the version of the GTKMM header files at compile time.

Returns `true` if the version of the GTKMM header files is the same as or newer than the passed-in version.

Since gtkmm 3.96:

Parameters

  major | Major version (e.g. 4 for version 4.2.1)
  minor | Minor version (e.g. 2 for version 4.2.1)
  micro | Micro version (e.g. 1 for version 4.2.1)

Returns
  `true` if GTKMM headers are new enough.

## ◆ GTKMM_MAJOR_VERSION

#define GTKMM_MAJOR_VERSION

The major version number of the GTKMM library.

From the headers used at application compile time. E.g. in GTKMM version 4.2.1 this is 4.

## ◆ GTKMM_MICRO_VERSION

#define GTKMM_MICRO_VERSION

The micro version number of the GTKMM library.

From the headers used at application compile time. E.g. in GTKMM version 4.2.1 this is 1.

## ◆ GTKMM_MINOR_VERSION

#define GTKMM_MINOR_VERSION

The minor version number of the GTKMM library.

From the headers used at application compile time. E.g. in GTKMM version 4.2.1 this is 2.